Subject: bug#25360: File mode specification errors during building

From: [email-masked] (Phillip Lord)
Date: Tue, 07 Mar 2017 15:28:44 +0000

[email-masked] (Phillip Lord) writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Mon, 6 Mar 2017 21:25:54 -0000
>>> From: "Phillip Lord" <[email-masked]>
>>> Cc: "Noam Postavsky" <[email-masked]>,
>>>  [email-masked],
>>>  [email-masked]
>>> 
>>> Here's a question, though. Why does files.el use
>>> w32-convert-standard-filename, a function which is not actually
>>> autoloaded? Ditto dos-convert-standard-filename.
>>
>> They are in files that are preloaded on the platforms which need them,
>> so they are always available.
>
>
> Eech, three different ways of specifying dependencies between lisp
> files? Ah, well, something for a different time.

I have reverted these changes on master now. I had to redo the
reversions in a different order to get a clean rebase against master,
which means its not quite the same thing.

I can't test this build against windows until later in the evening; it
did build fine before I reordered things, so I thought it reasonable to
commit.

Phil